
%define lib_major       0
%define lib_name        %mklibname xffm %{lib_major}
%define name            xffm
%define iconname      %{name}.png

# soname breaks, don't run libtoolize
%define __libtoolize    /bin/true

Summary: 	Filemanager and SMB network navigator for XFce.
Name: 		%{name}
Version: 	4.0.3
Release: 	1mdk
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2 
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:	dbh-devel
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	ImageMagick
BuildRequires:	chrpath

%description
Xffm is a filemanager and SMB network navigator for XFce.

%package -n %{lib_name}
Summary:	Libraries for the xffm filemanager.
Group:		System/Libraries

%description -n %{lib_name}
Libraries for the xffm filemanager.

%package -n %{lib_name}-devel
Summary:	Libraries and headers for development with xffm.
Group:		Development/Other
Provides:	xffm-devel
Requires:	%{lib_name} = %{version}

%description -n %{lib_name}-devel
Libraries and headers for development with the xffm filemanager.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# disable rpath
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*

%find_lang %{name}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert pixmaps/%{name}_icon.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert pixmaps/%{name}_icon.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/%{name}_icon.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

# Menu
(cd $RPM_BUILD_ROOT 
cat > .%{_menudir}/%name <<EOF
?package(%name):\
command="%{_bindir}/%{name}"\
icon="%{iconname}"\
title="Xffm"\
longtitle="Xffm is a filemanager and SMB network navigator for XFce."\
needs="x11"\
section="Applications/File tools"
EOF
)
 
%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS COPYING AUTHORS
%doc %dir %{_datadir}/xfce4/ 
%doc %{_datadir}/xfce4/doc/* 
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/
%{_datadir}/xffm/ 
%{_menudir}/%{name}
%{_mandir}/man1/*
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/


%changelog
* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3 

* Mon Dec 29 2003 Marcel Pol <mpol@mandrake.org> 4.0.2-2mdk
- really disable rpath
- fix iconname in menu

* Tue Dec 23 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- drop sources 1,2 and 3---use ImageMagick to convert included icon
- use makeinstakll_std
- change doc listing

* Mon Nov 24 2003 Marcel Pol <mpol@gmx.net> 4.0.1-3mdk
- fix macros in menu

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- add menu entry

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial mandrake package

